{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Server Management</title>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{% static 'css/all.css' %}">
    <!-- Bootstrap -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <!-- Custom -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">

    <script src="{% static 'js/jquery-3.3.1.min.js' %}"></script>
    <script src="{% static 'js/jquery.formset.js' %}"></script>

</head>
<body>
<h1 class="text-center">Server Management</h1>
<div class="container">

    <form action="{% url 'start_server' %}" method="post" class="form-inline">
        {% csrf_token %}
        <div class="input-group m-3">
            <input class="form-control" type="text" name="id"/>
            <div class="input-group-append">
                <input class="btn btn-primary" type="submit" value="Start"/>
            </div>
        </div>
    </form>

    {% for server in servers %}
        <div class="card m-3">
            <div class="card-header d-flex justify-content-between">
                <h5>{{ server.id }}</h5>

                <div class="btn-group" role="group">
                    <a href="http://{{ server.id }}.{{ host }}" target="_blank" rel="noopener noreferrer" class="btn btn-secondary btn-sm">
                        <i class="fa fa-external-link-alt"></i>
                    </a>
                    <a href="{% url 'reload_server' server_id=server.id %}" class="btn btn-primary btn-sm">
                        <i class="fa fa-redo"></i>
                    </a>
                    <a href="{% url 'remove_server' server_id=server.id %}" class="btn btn-danger btn-sm">
                        <i class="fa fa-trash"></i>
                    </a>
                </div>
            </div>
            <table class="table table card-body">
                <tbody>
                {% if server.web != None %}
                    <tr>
                        <td> {{ server.web.name }} </td>
                        <td> {{ server.web.image }}</td>
                        <td> {{ server.web.host_ports | first }}</td>
                        <td> {{ server.web.container_ports | first }}</td>
                    </tr>
                {% endif %}
                {% if server.db != None %}
                    <tr>
                        <td> {{ server.db.name }} </td>
                        <td> {{ server.db.image }}</td>
                        <td> {{ server.db.host_ports | first }}</td>
                        <td> {{ server.db.container_ports | first }}</td>
                    </tr>
                {% endif %}
                {% if server.nginx != None %}
                    <tr>
                        <td> {{ server.nginx.name }} </td>
                        <td> {{ server.nginx.image }}</td>
                        <td> {{ server.nginx.host_ports | first }}</td>
                        <td> {{ server.nginx.container_ports | first }}</td>
                    </tr>
                {% endif %}
            </tbody>
            </table>
        </div>
    {% endfor %}
</div>

<script src="{% static 'js/bootstrap.bundle.min.js' %} "></script>
<script src="{% static 'js/main.js' %} "></script>

</body>
</html>